<app-loading *ngIf='isLoading'></app-loading>
<div nz-col nzSpan='12' class='btn-fixed-top-right'>
  <mb-button (click)='goToHistory()' mbButtonSize="MEDIUM" mbButtonText="{{'angleIt.label.history' | translate}}"
             mbButtonTextColor="#141ED2" ></mb-button>
  <mb-button *ngIf='objFunction?.create' mbButtonType='NO_BORDER' mbButtonSize='VERY_LARGE' (click)='add()'
             mbButtonAvailableStyle='PRIMARY'
             mbButtonText="{{'common.button.add' | translate}}"></mb-button>
  <mb-button *ngIf='objFunction?.create' mbButtonType='NO_BORDER' mbButtonSize='VERY_LARGE' (click)='save()'
             mbButtonAvailableStyle='PRIMARY' [mbIsDisable]='isDisable'
             mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</div>
<div class='app-card' nz-col nzSpan='24'>
  <form [formGroup]='form' class='form'>
    <div nz-row class='form-row' [nzGutter]='[30,30]'>
      <div nz-col nzSm='12' nzLg='6'>
        <mb-input-text
          formControlName='content' [mbDisable]='isDisable'
          [mbType]="isSubmitted && form.controls['content'].errors ? 'error' : 'default'"
          [mbMaxLength]='250'
          [mbShowError]="isSubmitted && form.controls['content'].errors != null"
          [mbErrors]="form.controls['content'].errors"
          [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'angleIt.validate.maxLength' | translate: {'numberLength': '250' }},
                        { errorName: 'required', errorDescription: 'angleIt.validate.required' | translate: {'param': 'angleIt.pointConfig.content' | translate }}]"
          mbPlaceholderText="{{'angleIt.pointConfig.content' | translate}}"
          mbLabelText="{{'angleIt.pointConfig.content' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>
      <div nz-col nzSm='12' nzLg='6'>
        <mb-date-picker formControlName='fromDate' ngDefaultControl mbMode='date' [mbDisabled]='true'
                        mbLabelText="{{'angleIt.pointConfig.date' | translate}}"
                        mbPlaceholderText="{{'angleIt.pointConfig.date' | translate}}">
        </mb-date-picker>
      </div>
    </div>
  </form>
</div>

<div class='app-list'>
  <mb-table-merge-cell-wrap>
    <mb-table-merge-cell
      [tableConfig]='tableConfig'
      [dataList]='listData'
      [isScrollHeight]='true'
      nzScrollHeight='55vh'
    ></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>

<ng-template #pointTmpl let-index='index' let-point='point'>
  <mb-input-text *ngIf='!isDisable; else: pointTmpl2'
                 [(ngModel)]='listData[index].point' appNumberic [num]='10'
                 (ngModelChange)='changePoint(listData[index])'
                 mbPlaceholderText="{{'angleIt.pointConfig.point' | translate}}">
  </mb-input-text>
  <ng-template #pointTmpl2>{{point}}</ng-template>
</ng-template>

<ng-template #footerTmpl>
  <div class='footer'>
    <label class='input__label'>{{'angleIt.pointConfig.totalPoint' | translate}}</label>
    <div class='total-point'> {{sumTotalPoint}} </div>
  </div>
</ng-template>

